'\" t
.\".VA
.TH LPTOPS 1L "06 June 1991"
.ds Ps P\s-2OST\s+2S\s-2CRIPT\s+2
.ds Ts T\s-2RAN\s+2S\s-2CRIPT\s+2
.SH NAME
lptops \-  convert an ascii text file into a printable
P\s-2OST\s+2S\s-2CRIPT\s+2 file
.SH SYNOPSIS
.B lptops
\fB[\-a] [\-author] [\-b\fP\0\fI#\fP\fB] [\-c\fP\0\fInum\fP\fB]
[\-f\fP\0\fIfont\fP\fB] [\-h] [\-i\fP\0\fI#\fP\fB] [\-l\fP\0\fI#\fP\fB]
[\-m\fP\0\fInum\fP\fB] [\-n\fP\0[\fItb\fP][\fIlcr\fP]\fInum\fP\fB]
[\-o\fP\0[\fI#\fP]\fB] [\-p\fP\0\fI#\fP\fB] [\-q] [\-r\fP\0\fI#\fP\fB]
[\-s\fP\0\fInum\fP\fB] [\-t\fP\0\fI#\fP\fB] [\-u] [\-version]
[\-y\fP\0\fI#\fP\fB] \fP < \fIinfile\fP > \fIoutfile\fP
.sp 0.5
.B lptops
[ switches ]
\fIfile1\fP \fIfile2\fP \|.\|.\|.  > \fIoutfile\fP
.SH DESCRIPTION
.I lptops
converts normal text files into \*(Ps
for printing on the Apple LaserWriter, or any other
\*(Ps compatible printing device.
It supports selection of a variety of fonts at arbitrary point sizes,
margin specification, portrait and landscape page orientation, automatic
page numbering, page outlining, and multi-column printing.  It can also
overstrike text (used by many text formatters for underlining).
.PP
This program is distributed with the <PLOT79> system.  The \*(Ts system
provides a program of similar intent, known as \fIenscript\fP(1L).
.SH OPTIONS
Letter case is ignored (except in the case of font codes).
.TP
.B \-a
Turn Scribe-like bold and italic requests (@b[...] and @i[...]) into
bold or italic text.
.TP
.B \-author
Display an author credit on
.IR stdout .
.TP
.B \-b #
Set bottom margin to # (default is 1.0in).
.TP
.BI \-c " num"
Print \fInum\fP copies of each page (default 1).
.TP
.BI \-f " font"
Set \*(Ps font.  The full name or an abbreviation for the
desired font type is given as \fIfont\fP.  Default is
Courier.  The following 13 fonts are available on all \*(Ps
printers.  The second column provides font abbreviations
used by this and earlier versions of \fIlptops\fP; the third
column contains \fIditroff\fP(1L) font abbreviations, and
the fourth column, Adobe \*(Ts font abbreviations.  Any of
these abbreviations may be used to specify \fIfont\fP.
.\".if t .ta 0.06i +2i +0.75i +0.75i
.\".if n .ta 0.06i +3i +1i +1i
.\".nf
.sp
.TS
center;
l c s s
l c s s
l l l l.
Font	Symbolic Names
_	_
Courier	C	C	C
Courier-Bold	CB	CB	CB
Courier-BoldOblique	CBO	CD	CD
Courier-Oblique	CO	CO	CO
Helvetica	H	he	he
Helvetica-Bold	HB	He	He
Helvetica-BoldOblique	HBO	HE	HE
Helvetica-Oblique	HO	hE	hE
Symbol	S	S	S
Times-Bold	TB	R	ti
Times-BoldItalic	TBI	BI	TI
Times-Italic	TI	I	tI
Times-Roman	T	R	ti
.TE
.\".fi

The remaining fonts are available only on enhanced printers, such as the
Apple LaserWriter Plus.

.\".nf
.sp
.TS
center;
l c s s
l c s s
l l l l.
Font	Symbolic Names
_	_
AvantGarde-Book	AGB	ag	ag
AvantGarde-BookOblique	AGBO	aG	aG
AvantGarde-Demi	AGD	Ag	Ag
AvantGarde-DemiOblique	AGDO	AG	AG
Bookman-Demi	BD	Bo	Bo
Bookman-DemiItalic	BDI	BO	BO
Bookman-Light	BL	bo	bo
Bookman-LightItalic	BLI	bO	bO
Helvetica-Narrow	HN	hn	hn
Helvetica-Narrow-Bold	HNB	Hn	Hn
Helvetica-Narrow-BoldOblique	HNBO	HN	HN
Helvetica-Narrow-Oblique	HNO	hN	hN
NewCenturySchlbk-Bold	NCSB	Nc	Nc
NewCenturySchlbk-BoldItalic	NCSBI	NC	NC
NewCenturySchlbk-Italic	NCSI	nC	nC
NewCenturySchlbk-Roman	NCSR	nc	nc
Palatino-Bold	PB	Pa	Pa
Palatino-BoldItalic	PBI	PA	PA
Palatino-Italic	PI	pA	pA
Palatino-Roman	PR	pa	pa
ZapfChancery-MediumItalic	ZCMI	ZC	ZC
ZapfDingbats	ZD	ZD	ZD
.TE
.\".fi
.PP
Note that the \fIditroff\fP(1L) and \*(Ts abbreviations are identical
except for the Courier and Times fonts.  The \*(Ts abbreviations are
based on two-letter mnemonics, where upper-case in the first letter
indicates bold, and upper-case in the second letter indicates italic.
.PP
Only the Courier fonts are fixed-width fonts.  The others are
proportionally spaced and tabular material will not line up properly.
The Courier fonts have a width equal to 0.6 of their point size, so to
fill a line W inches wide with up to N characters, one must have point
size <= (W/(0.6 * N * 72)) = (W*120)/N pt.  Equivalently, with a point
size P pt, the output spacing is 120/P char/inch.
.TP
.B \-h
Use horizontal page orientation (landscape mode) instead of vertical
(portrait mode).
.TP
.BI \-i #
Set top margin to # for initial page (for use with letterhead)
If not specified, the value given for the top margin will be used
(see the \fB\-t\fP command).
.TP
.BI \-l #
Set left margin to # (default is 1.0in).
.TP
.BI \-m num
Produce multiple column output (\fInum\fP columns).  In multiple
column mode, formfeeds cause column breaks instead of page breaks.
Default value of \fInum\fP is 1.
.TP
.B \-n [\fItb\fP][\fIlcr\fP]\fInum\fP
Number output pages.  The margin in which the number is placed can be
selected by \fIt\fP (top) or \fIb\fP (bottom), and the position of the
number can be further specified by \fIl\fP (left), \fIc\fP (center),
or \fIr\fP (right).  The number is placed by default in the center of
the top margin, If \fInum\fP is given, start numbering with that
value, and otherwise with 1.  If an initial top margin value is given
with the \fB-i\fP option, numbering will be omitted on the first page
if it is at the top.  Pages are unnumbered if this option is not
specified.
.TP
.B \-o [\fI#\fP]
Outline pages (and columns) with a line which is # units wide.  A
narrow line of 0.4pt width is assumed if # is omitted; this particular
width is what TeX uses in typesetting.
.TP
.BI \-p #
Set font point size (default 10bp).  The baseline skip (spacing
between successive character baselines) is conventionally chosen to be
6/5 of this value, so that with 10bp type, we have 12bp between lines,
or 6 lines/inch, the same as standard printer output.
.TP
.BI \-q
Quiet mode; suppress display of status and warning messages on 
.IR stderr .
Error messages are never suppressed.
.TP
.BI \-r #
Set right margin to # (default is 1.0in).
.TP
.BI \-s num
Use manual feed tray (special handling) for the first \fInum\fP pages
of the output.  If \fIN\fP multiple copies are in effect (see option
\fB-c\fP), then \fIN*num\fP sheets must be fed manually.  If \fInum\fP
is omitted, then all pages are to be fed manually.  Default value of
\fInum\fP is 0.
.TP
.BI \-t #
Set top margin to # (default value is 1.0in).
.TP
.B \-u
Produce pages in unsorted (first to last) order instead of in sorted
(page reversed) order; some \*(Ps printers have
page handlers that stack the paper in this order.  The default is to
sort because this is appropriate for the most common
\*(Ps printer, the Apple LaserWriter.
.TP
.B \-version
Display the program version string on
.IR stdout .
.TP
.BI \-y #
Set the baseline skip (interline spacing) to #.  The default value
is 1.2 times the point size.
.SH SPECIFICATION OF DIMENSIONAL VALUES
In the switch descriptions above, physical dimensions described as # may
be specified as a single number with an optional fractional part, and a
required two-letter unit designator.  Possible forms are:
.LP
.ta 0.25i 1.0i 4.0i
.nf
#.##bp	big point (1in = 72bp)	[Courier: 120.000/Pbp cpi]
#.##cc	cicero (1cc = 12dd)	[Courier:   9.381/Pcc cpi]
#.##cm	centimeter	[Courier:   4.233/Pcm cpi]
#.##dd	didot point (1157dd = 1238pt)	[Courier: 112.569/Pdd cpi]
#.##in	inch	[Courier:   1.667/Pin cpi]
#.##mm	millimeter (10mm = 1cm)	[Courier:  42.333/Pmm cpi]
#.##pc	pica (1pc = 12pt)	[Courier:  10.038/Ppc cpi]
#.##pt	point (72.27pt = 1in)	[Courier: 120.450/Ppt cpi]
#.##sp	scaled point (65536sp = 1pt)	[Courier:   7.893/(Psp/1000000) cpi]
.fi
.LP
The bracketed values give the number of characters per inch (cpi) for a
point size of P units with the fixed-width Courier font.  For example,
with point size 8bp, there are 120/8 = 15 characters per inch.  With
point size 1000000sp, there are 7.893 characters/inch.
.SH FILES
.TP 2.2i
/usr/local/plot79/tex/dvi/lptops.c
source code
.TP
/usr/local/plot79/lptops
executable
.TP
/usr/local/plot79/define
various environment definitions, an appropriate subset of which should
be placed in the user's \fI.cshrc\fP or \fI.profile\fP file
.SH "SEE ALSO"
document (1L), drawit(1L), grapht(1L), graph3t(1L), pfort(1L),
piechtt(1L), plot79-intro(1L), plot79(1L), pluto(1L), pretty(1L),
rdinfo(1L), sf3(1L), slides(1L), tekalw(1L), tkvecs(1L), tmacro(1L),
world(1L)
.SH AUTHOR
Nelson H.F. Beebe, Ph.D.
.br
Center for Scientific Computing
.br
Department of Mathematics
.br
South Physics Building
.br
University of Utah
.br
Salt Lake City, Utah 84112
.br
USA
.br
Tel: (801) 581-5254
.br
FAX: (801) 581-4801
.br
Email: <Beebe@math.utah.edu>
.br
(Manual page by R. P. C. Rodgers, Computer Applications in Laboratory
Medicine Project, UCSF, San Francisco, CA 94143).
